> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/appendix/json-object/authentication-3ds2-object.md).

# Authentication 3DS2 Object

| No | Name              | Type       | Mandatory | Min Length | Max Length | Description                           |
| -- | ----------------- | ---------- | --------- | ---------- | ---------- | ------------------------------------- |
| 1  | custom            | Object     | O         | 0          | 4000       | Authentication 3ds2 custom            |
| 2  | protocolVersion   | Alpha Dash | O         | 1          | 20         | Authentication 3ds2 protocolVersion   |
| 3  | statusReasonCode  | String     | O         | 2          | 2          | Authentication 3ds2 statusReasonCode  |
| 4  | transactionStatus | Alpha      | O         | 1          | 1          | Authentication 3ds2 transactionStatus |

```
"authentication": {
    "3ds2": {
        "custom": {
            "contoh": "1"
        },
        "protocolVersion": "2.1.0",
        "statusReasonCode": "AB",
        "transactionStatus": "Y"
    }
}
```

[<br>](https://hub.finpay.id/docs/object/authentication-3ds1)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/authentication-3ds2-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
